Subject: [BUG] rxvt, bash and <ctrl+left/right/up/down>
From: Jehan <[email-masked]>
To: [email-masked]
Date: Thu, 29 Aug 2002 10:10:24 -0700
Newsgroups: gmane.os.cygwin

Hello all,

I use rxvt, bash and cygwin latest versions
rxvt                2.7.2-10
bash                2.05b-3
cygwin              1.3.12-4

When I press <ctrl+left> ("works" with right, up and down too), rxvt 
dies. "Left" can be either the left arrow key or the numpad with numlock 
disabled.

When I run a simple rxvt (sh) then run bash in it, I see the message 
"Signal 11" (SIGILL) when I press <ctrl+left>, bash dies, rxvt shows the 
sh prompt and the keyboard stops working (but rxvt still works, killing 
it kills sh, dragging the mouse still selects the text, ...)

If I use rxvt with sh, <ctrl+left> displays "c" (d, a and b respectively).
If I use bash in a console window, ctrl is ignored.
If I use bash in an Xterm, I get "C" (D, A and B).

So there is something with bash running inside an rxvt window

	Jehan

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/